﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Module.People
{
    /// <summary>
    /// Interaction logic for PeopleView.xaml
    /// </summary>
    public partial class PeopleView : UserControl, IPeopleView
    {
        public PeopleView()
        {
            InitializeComponent();
        }

        #region IPeopleView Members

        public IPeoplePresentationModel Model
        {
            get
            {
                return (IPeoplePresentationModel)this.DataContext;
            }
            set
            {
                this.DataContext = value;
            }
        }

        public event EventHandler<SelectionChangedEventArgs> OnPersonSelected;

        #endregion

        private void ListBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            OnPersonSelected(sender, e);
        }
    }
}
