﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Presentation.Commands;

namespace Infrastructure.Desktop
{
    public static class GlobalCommands
    {
        public static CompositeCommand PopulatePeopleCommand = new CompositeCommand();
        public static CompositeCommand DeleteCommand = new CompositeCommand();
    }

    public class GlobalCommandsProxy
    {
        virtual public CompositeCommand PopulatePeopleCommand
        {
            get { return GlobalCommands.PopulatePeopleCommand; }
        }

        virtual public CompositeCommand DeleteCommand
        {
            get { return GlobalCommands.DeleteCommand; }
        }
    }
}
